Subject: RE: [ANNOUNCE] Git v2.48.0-rc0

From: <[email-masked]>
Date: Tue, 17 Dec 2024 11:18:34 -0500

On December 17, 2024 9:24 AM, Patrick Steinhardt wrote:
>On Tue, Dec 17, 2024 at 08:47:47AM -0500, [email-masked] wrote:
>>
>> >-----Original Message-----
>> >From: Patrick Steinhardt <[email-masked]>
>> >Sent: December 16, 2024 11:51 PM
>> >To: [email-masked]
>> >Cc: 'Junio C Hamano' <[email-masked]>; [email-masked]; 'Linux
>> Kernel'
>> ><[email-masked]>; [email-masked]
>> >Subject: Re: [ANNOUNCE] Git v2.48.0-rc0
>> >
>> >On Mon, Dec 16, 2024 at 07:07:25PM -0500, [email-masked] wrote:
>> >> On December 16, 2024 1:15 PM, Junio C Hamano wrote:
>> >> >An early preview release Git v2.48.0-rc0 is now available for
>> >> >testing at the usual places.  It is comprised of 446 non-merge
>> >> >commits since v2.47.0, contributed by 66 people, 26 of which are new
faces
>[*].
>> >> >
>> >> >The tarballs are found at:
>> >> >
>> >> >    https://www.kernel.org/pub/software/scm/git/testing/
>> >> >
>> >> >The following public repositories all have a copy of the
>> >> >'v2.48.0-rc0' tag and the 'master' branch that the tag points at:
>> >> >
>> >> >  url = https://git.kernel.org/pub/scm/git/git
>> >> >  url = https://kernel.googlesource.com/pub/scm/git/git
>> >> >  url = git://repo.or.cz/alt-git.git  url =
>> >> > https://github.com/gitster/git
>> >>
>> >> Did I miss something about GIT_TEST_DEFAULT_REF_FORMAT=reftable
>> >> being removed from the test suite? That was available under 2.47.0
>> >> but if I supply it now, the tests crash at git init.
>> >
>> >Nothing should've changed here, and a local test run with that
>> >environment variable works alright on my system. Could you please
provide
>more details?
>>
>> This is on the latest OS version of NonStop x86. The test is done via
>> the
>> following:
>> With OpenSSL 3.4 The T0625 is Expat.
>>
>> When run as follows:
>> GIT_TEST_DEFAULT_REF_FORMAT=reftable GIT_TEST_CLONE_2GB=true
>> /usr/coreutils/bin/make -k test V=1 CFLAGS="-g -O2 -Winline
>> -I/usr/local-ssl3.4/include -I/usr/coreutils/include
>> -I/usr/tandem/xml/T0625L01_AAE/include"
>> LDFLAGS="/usr/coreutils/lib/libz.a
>> -L/usr/local-ssl3.4/lib -L/usr/coreutils/lib
>> -L/usr/tandem/xml/T0625L01_AAE/lib"  TEST_LINT=
>> SHELL=/usr/coreutils/bin/bash
>>
>> The results are:
>> *** t0000-basic.sh ***
>> error: cannot run git init
>> Makefile:77: recipe for target 't0000-basic.sh' failed
>> make[2]: *** [t0000-basic.sh] Error 1
>> *** t0001-init.sh ***
>> error: cannot run git init
>> Makefile:77: recipe for target 't0001-init.sh' failed
>> make[2]: *** [t0001-init.sh] Error 1
>> *** t0002-gitfile.sh ***
>> error: cannot run git init
>> Makefile:77: recipe for target 't0002-gitfile.sh' failed
>> make[2]: *** [t0002-gitfile.sh] Error 1 etc for all tests.
>>
>> Removing GIT_TEST_DEFAULT_REF_FORMAT=reftable allows the whole test
>> suite to pass.
>>
>> There are environment size limits (about 32Kb) in bash on the box, so
>> it is possible a boundary was crossed internal to the test setup.
>
>Could you please provide a backtrace for git-init(1)?

Where would you need the backtrace done? Any specific point in the code? I
have to throw this into gdb to get the backtrace - no dump file created.